Oracle is working with Sun Microsystems to fix a bug affecting how Oracle's E-Business Suite runs on Windows Vista.

The problem is a flaw within Sun's Java 2 Platform Standard Edition (J2SE) platform, wrote Steven Chan, director of applications technology integration, on one of Oracle's blogs.

"This is a critical issue, unfortunately, and we're working with Sun to get this into a future J2SE release," Chan wrote. "As of today, we don't have a firm schedule for the next J2SE release containing this fix."

Because of the problem, Oracle does not know when it will certify E-Business versions 11i and 12 for Vista. Oracle is still evaluating the use of J2SE's 5.0 and 6.0 plug-ins, Chan wrote.

The issue may not be pressing for many of Oracle's customers just yet. Chan wrote that Oracle has not received much response to an informal survey about their clients' plans to upgrade to Windows Vista. Most analysts expect a brisker adoption of Window Vista among businesses next year.

It is unlikely that Oracle will certify Jlnitiator - Oracle's licensed version of Sun's Java Virtual Machine (JVM) - with E-Business clients running on Vista, "but that's also under investigation", Chan wrote. Oracle's forms-based modules are certified to run on Jlnitiator, Chan wrote on a previous blog entry.